/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*       Designed and Programmed by A.Kubo                                  */
/*--------------------------------------------------------------------------*/
/*  @file Vivid9iStageRegistTool.h: CVivid9iStageRegistTool NX̃wb_[t@C
 *  @author A.Kubo
 *  @date 2004.03.24
*/

#pragma once
#include "VividStageRegistTool.h"


#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif

class DATAPROCESS_API CVivid910StageRegistTool : public CVividStageRegistTool
{
public:
    CVivid910StageRegistTool(void);
    ~CVivid910StageRegistTool(void);

    virtual BOOL Attach(CVISensorRawData* pRawData);
    virtual BOOL GetCoordTransMatrix(double dRotateAngle,CVIMatrix4& TransMatrix);

protected:
    virtual BOOL SetChartVertexData(CVISensorRawData* pRawData);

protected:
	int		m_nDirection;	// SEEDS@060608
};

