/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/
// VIDataProcessSampleDlg.h : header file
//

#pragma once
#include <VvdImage.h>

class CVI9iDataProcessControl;
// CVIDataProcessSampleDlg dialog
class CVIDataProcessSampleDlg : public CDialog
{
// Construction
public:
	CVIDataProcessSampleDlg(CWnd* pParent = NULL);	// standard constructor
    virtual ~CVIDataProcessSampleDlg();
// Dialog Data
	enum { IDD = IDD_VIDATAPROCESSSAMPLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
    CVI9iDataProcessControl*    m_pVI9iDataProcessCtrl;
    CRect m_DstRect;
    CVvdImage m_VvdImage;
	// Generated message map functions
    virtual void DrawPicture(CPaintDC &dc);
	virtual BOOL OnInitDialog();
    virtual void ViewInit(void);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedButtonImportSavepolygon();
    virtual void ShowLastErr(void);
    afx_msg void OnBnClickedButtonImportSaveAscii();
    afx_msg void OnBnClickedButtonReadPolygon();
    afx_msg void OnBnClickedButtonGetColorData();
    afx_msg void OnBnClickedButtonGetReflectData();
};
