/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/
#pragma once
#include "visensorcaliberr.h"

#ifdef HARDWARE_EXPORTS
#define HARDWARE_API __declspec(dllexport)
#else
#define HARDWARE_API __declspec(dllimport)
#endif

class HARDWARE_API CVivid9iCalibErr :
	public CVISensorCalibErr
{
public:
	float m_fX1ErrLength;	//  length of X1
	float m_fY1ErrLength;	//  length of Y1
	float m_fX2ErrLength;	//  length of X2
	float m_fY2ErrLength;	//  length of Y2
	char  m_cReserved[48];
	CVivid9iCalibErr(void);
	~CVivid9iCalibErr(void);
};
