// VICoordTransPara.h: interface of the CVICoordTransPara class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(_VICOORDTRANSPARA_H__)
#define _VICOORDTRANSPARA_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif


#include <VISensorCoordTransPara.h>
#include <VIMatrix.h>

//-------------------------------------------------------
class DATAPROCESS_API CVICoordTransPara : public CVISensorCoordTransPara  
{
public:
	CVIMatrix4 m_TransMatrix;
	CVICoordTransPara();
	virtual ~CVICoordTransPara();
    
};

#endif
