// VISensorPolygonProcess.h: interface of the CVISensorPolygonProcess class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VI_SENSOR_POLYGONPROCESS_H__)
#define __VI_SENSOR_POLYGONPROCESS_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <VIVertexData.h>
#include "VividObject.h"
#include "VISensorImportPara.h"
#include <VISensorRawData.h>

class CVISensorPolygonProcess  
{
public:
	CVISensorPolygonProcess();
	virtual ~CVISensorPolygonProcess();
    virtual BOOL VertexToPolygon(CVISensorRawData* pRawData,CVIVertexData* pVertexData,CVIObject& Polygon,CVISensorImportPara* pImportPara,LPCTSTR name = NULL) = 0; // const char* -> LPCTSTR
};

#endif
