/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*       Designed and Programmed by A.Kubo                                  */
/*--------------------------------------------------------------------------*/
/*  @file VividStageRegistTool.h: CVividStageRegistTool NX̃wb_[t@C
 *  @author A.Kubo
 *  @date 2004.03.25
*/

//̃NXł́AVIVID9i,Vivid910ʂ̏si炻̑@łg邩Ȃ

#pragma once
#include <VISensorStageRegistTool.h>
#include "Make3DUtil.h"

#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif

#define MIN_DATA_RATIO  0.1 //AK@040630

class DATAPROCESS_API CVividStageRegistTool :
    public CVISensorStageRegistTool
{
public:
    CVividStageRegistTool(void);
    ~CVividStageRegistTool(void);
    virtual BOOL Attach(CVISensorRawData* pRawData);
    virtual BOOL GetCoordTransMatrix(double dRotateAngle,CVIMatrix4& TransMatrix);
protected:
    // FileImportGetPlaneFromPitchQ
    virtual int GetPlaneFromVertexData(PLANE plane[2],CVIVertexData& ChartVertexData);
    virtual BOOL SetChartVertexData(CVISensorRawData* pRawData) = 0;
    virtual BOOL RegisterStage(VLINE* pole);
	VLINE	m_Pole;
	float	m_theta[2];
	float	m_tc[2];
    virtual BOOL CalcRegistValue(void);
public:
    virtual BOOL CheckChartVertexData(void);
};
