// VISensorPolygonFileProcess.h: interface of the VISensorPolygonFileProcess class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VI_SENSOR_POLYGONFILEPROCESS_H__)
#define __VI_SENSOR_POLYGONFILEPROCESS_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VividObject.h"

#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif

class DATAPROCESS_API CVISensorPolygonFileProcess  
{
public:
	CVISensorPolygonFileProcess();
	virtual ~CVISensorPolygonFileProcess();
	virtual BOOL SavePolygonData(CVIObject& Polygon,const char* filename) = 0;
	virtual BOOL ReadPolygonData(CVIObject& Polygon,const char* filename) = 0;
	virtual BOOL GetErrCode(int& nErrCode);
	virtual void SetErrCode(int  nErrCode);
protected:
    int     m_nErrCode;
};

#endif
