/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/
#pragma once

#include <VISensorRawData.h>
#include <VIVertexData.h>
#include <VIMatrix.h>
#include <VISensorDataProcess.h>

#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif

class DATAPROCESS_API CVISensorStageRegistTool
{
public:
    CVISensorStageRegistTool(void);
    ~CVISensorStageRegistTool(void);
    virtual BOOL Attach(CVISensorRawData* pRawData) = 0;
    virtual BOOL GetCoordTransMatrix(double dRotateAngle,CVIMatrix4& TransMatrix) = 0;
protected:
    CVIVertexData               m_ChartVertexData   ;
	CVISensorDataProcess*       m_pDataProcess      ;
    double                      m_dRefPlane         ;
};
