// VISensorVertexProcess.h: interface of the CVISensorVertexProcess class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VI_SENSOR_VERTEXPROCESS_H__)
#define __VI_SENSOR_VERTEXPROCESS_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <VISensorRawData.h>
#include "VIVertexData.h"
#include "VISensorImportPara.h"

class DATAPROCESS_API CVISensorVertexProcess   
{
public:
	CVISensorVertexProcess();
	virtual ~CVISensorVertexProcess();
    virtual BOOL RawToVertexData(CVISensorRawData* pRawData,CVIVertexData* pVertexData,CVISensorImportPara* pImportPara) = 0;
    virtual BOOL Detach() = 0;//KH@060914
};

#endif
